Error message: "Not correct version of dll"

BjornF

Active Member
Licensed User
I wrote a small program using the previous version of ListView.dll (an excellent dll by the way!). When the new version came out I tried updating the dll by first removing the old one, and thereafter deleting the object. Finally I added the new dll and a new object.

When I try the program the non-compiled version works perfectly, but when I try to make a compiled version I get an error message saying that "Error loading external library: The format of the file "Listview.dll" is invalid". (The compiled program is in the same folder as the non-compiled version so they should be using the same version of the dll.)

Am I missing something or is it impossible to update the dll once it has been assigned to a program? And if so why is it only for the compiled version? :confused:

all the best / Björn
 

dennishea

Active Member
Licensed User
BjornF:

Are you using net 2, if so do you have yourfile.exe.config in the same folder with other programs.

dennishea
 

BjornF

Active Member
Licensed User
Dear denishea,

no, I'm not using net 2. The compiled version of the program worked ok with the previous version of the Listview.dll, so I thought that I didn't need it for this one either. Do you, or anyone else, know if you need net 2 for the new listview.dll?

all the best / Björn
 

dennishea

Active Member
Licensed User
Yes you need cf 2.

dennishea

I don't know how to set up the link to the post. I found it in share code and filippo was author of listview.dll.
 

BjornF

Active Member
Licensed User
Thanks dennishea, now that you have pointed it out I can see that it is a requirement in the thread you mentioned :signOops:

Regards / Björn
 
Top